<?php
date_default_timezone_set('America/Lima');
class cComunicado{
	
	function insertar($tip, $des, $has,$nom ){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO  tb_comunicado(
		tb_comunicado_reg,
		tb_comunicado_tip,
		tb_comunicado_des,
		tb_comunicado_has,
		tb_comunicado_nom
		)
		VALUES (
		'$now' ,'$tip' ,'$des' , '$has','$nom' );"; 
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "select max(tb_comunicado_id) as 'id' from tb_comunicado "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
		function modificar($id,$tip,$des,$has,$nom){
			$now =  date('Y-m-d h:i:s a');
			$sql = "UPDATE tb_comunicado SET
			tb_comunicado_tip =  '$tip',
			tb_comunicado_des =  '$des',
			tb_comunicado_has =  '$has',
			tb_comunicado_nom =  '$nom'
			WHERE tb_comunicado_id = '$id' "; 
			$oCado = new Cado();
			$rst=$oCado->ejecute_sql($sql);
			return $rst;	
		}
	
	function modificar_campo($id,$campo,$valor){
		$now =  date('Y-m-d h:i:s a');
		$sql = "UPDATE tb_comunicado SET
		tb_comunicado_$campo =  '$valor' 
		WHERE tb_comunicado_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarUno($com_id){
		$sql="SELECT * 
		FROM tb_comunicado c
		WHERE tb_comunicado_xac=1 ";
		
		if($com_id!=''){
			$sql = $sql." AND c.tb_comunicado_id = '$com_id' ";
		}
		
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_filtro($des,$has,$tip){
		$sql="SELECT * 
		FROM tb_comunicado c
		WHERE tb_comunicado_xac=1 ";
		
	
		$sql = $sql." ORDER BY c.tb_comunicado_id "; 
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_comunicado($fec){
		$sql="SELECT * FROM tb_comunicado WHERE tb_comunicado_xac=1 
		and tb_comunicado_des <= '$fec' and tb_comunicado_has >= '$fec'; ";
		
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
}
?>